rte_crypto_rsa_xform(3)

NAME
rte_crypto_rsa_xform

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

rte_crypto_uint n
rte_crypto_uint e
struct rte_crypto_rsa_padding padding

Detailed Description

Asymmetric RSA transform data

Structure describing RSA xform params

Definition at line 345 of file rte_crypto_asym.h.

Field Documentation

  rte_crypto_uint n
the RSA modulus

Definition at line 346 of file rte_crypto_asym.h.

  rte_crypto_uint e
the RSA public exponent

Definition at line 348 of file rte_crypto_asym.h.

  rte_crypto_uint d
the RSA private exponent

Definition at line 354 of file rte_crypto_asym.h.

  struct rte_crypto_rsa_priv_key_qt qt
qt - Private key in quintuple format

Definition at line 356 of file rte_crypto_asym.h.

  struct rte_crypto_rsa_padding padding
RSA padding information

Definition at line 360 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.